Skip to main content
DELETE
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
personas
Delete Persona(s)
curl --request DELETE \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/personas \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "deletedIds": [
      "<string>"
    ],
    "failedIds": [
      "<string>"
    ],
    "deletedCount": 123,
    "failedCount": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Query Parameters

personaId
string[]
required

ID(s) to delete. Repeat for multiple.

Response

Deletion result (partial success possible)

success
boolean
Example:

true

data
object